# Check if QTC_SOURCE and QTC_BUILD are set up properly.

isEmpty( QTC_SOURCE ) {
  error( "You must set the path to the sources of Qt Creator. (QTC_SOURCE)" )
}
!exists( $$QTC_SOURCE ) {
  error( "The path of QTC_SOURCE is not valid." )
}
isEmpty( QTC_BUILD ) {
  QTC_BUILD = $$QTC_SOURCE
}
!exists( $$QTC_BUILD ) {
  error( "The path of QTC_BUILD is not valid." )
}

# Normal qmake file

TEMPLATE        = lib
TARGET          = ArtisticStylePlugin
IDE_SOURCE_TREE = $$QTC_SOURCE
IDE_BUILD_TREE  = $$QTC_BUILD
PROVIDER        = Histomatics
DESTDIR         = $$QTC_BUILD/lib/qtcreator/plugins/Histomatics
LIBS           += -L$$QTC_BUILD/lib/qtcreator/plugins/Nokia

include($$QTC_SOURCE/src/qtcreatorplugin.pri)
include($$QTC_SOURCE/src/plugins/coreplugin/coreplugin.pri)
include($$QTC_SOURCE/src/plugins/texteditor/texteditor.pri)

HEADERS = artisticstyleplugin.h \
          artisticstyleiterator.h \
          artisticstyleoptionpage.h \
          artisticstyleoptionpagegui.h \
          astyle/astyle.h \
          artisticstyleconstants.h \
          dtl-cpp/variables.hpp \
          dtl-cpp/Ses.hpp \
          dtl-cpp/Sequence.hpp \
          dtl-cpp/Lcs.hpp \
          dtl-cpp/functors.hpp \
          dtl-cpp/dtl.hpp \
          dtl-cpp/Diff3.hpp \
          dtl-cpp/Diff.hpp
SOURCES = artisticstyleplugin.cpp \
          artisticstyleiterator.cpp \
          artisticstyleoptionpage.cpp \
          artisticstyleoptionpagegui.cpp \
          astyle/ASFormatter.cpp \
          astyle/ASBeautifier.cpp \
          astyle/ASEnhancer.cpp \
          astyle/ASResource.cpp
FORMS   = artisticstyleoptionpagegui.ui

OTHER_FILES += ArtisticStylePlugin.pluginspec